"""Mapping of coverage gaps.

This code is automatically generated by gbd_mapping_generator/coverage_gap_builder.py

Any manual changes will be lost.
"""
from .base_template import Levels, Restrictions
from .coverage_gap_template import CoverageGap, CoverageGaps
from .cause import causes
from .risk import risks


coverage_gaps = CoverageGaps(
    low_oral_rehydration_solution_coverage=CoverageGap(
        name='low_oral_rehydration_solution_coverage',
        distribution='dichotomous',
        restrictions=Restrictions(
            male_only=False,
            female_only=False,
            yll_only=False,
            yld_only=False,
        ),
        levels=Levels(
            cat1='exposed',
            cat2='unexposed',
        ),
        affected_causes=(causes.diarrheal_diseases, ),
        affected_risks=(),
    ),
    lack_of_hiv_positive_antiretroviral_treatment=CoverageGap(
        name='lack_of_hiv_positive_antiretroviral_treatment',
        distribution='dichotomous',
        restrictions=Restrictions(
            male_only=False,
            female_only=False,
            yll_only=False,
            yld_only=False,
        ),
        levels=Levels(
            cat1='exposed',
            cat2='unexposed',
        ),
        affected_causes=(causes.hiv_aids_resulting_in_other_diseases, ),
        affected_risks=(),
    ),
)
