"""Mapping templates for coverage gap data.

This code is automatically generated by gbd_mapping_generator/coverage_gap_builder.py

Any manual changes will be lost.
"""
from typing import Tuple

from .base_template import GbdRecord, Levels, Restrictions
from .cause_template import Cause
from .risk_template import Risk


class HealthcareTechnology(GbdRecord):
    """Container for healthcare technology and metadata."""
    __slots__ = ('name', )

    def __init__(self,
                 name: str, ):
        super().__init__()
        self.name = name


class CoverageGap(GbdRecord):
    """Container for coverage gap GBD ids and metadata."""
    __slots__ = ('name', 'restrictions', 'distribution', 'levels', 'affected_causes', 'affected_risks',
                 'healthcare_technologies', )

    def __init__(self,
                 name: str,
                 restrictions: Restrictions,
                 distribution: str,
                 levels: Levels,
                 affected_causes: Tuple[Cause, ...] = None,
                 affected_risks: Tuple[Risk, ...] = None,
                 healthcare_technologies: Tuple[HealthcareTechnology, ...] = None, ):
        super().__init__()
        self.name = name
        self.restrictions = restrictions
        self.distribution = distribution
        self.levels = levels
        self.affected_causes = affected_causes
        self.affected_risks = affected_risks
        self.healthcare_technologies = healthcare_technologies


class CoverageGaps(GbdRecord):
    """Container for coverage gap data."""
    __slots__ = ('low_oral_rehydration_solution_coverage', 'lack_of_hiv_positive_antiretroviral_treatment', )

    def __init__(self,
                 low_oral_rehydration_solution_coverage: CoverageGap,
                 lack_of_hiv_positive_antiretroviral_treatment: CoverageGap, ):
        super().__init__()
        self.low_oral_rehydration_solution_coverage = low_oral_rehydration_solution_coverage
        self.lack_of_hiv_positive_antiretroviral_treatment = lack_of_hiv_positive_antiretroviral_treatment
